import { jsx } from "react/jsx-runtime";
import { OvenIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Oven = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Oven", ...props, children: /* @__PURE__ */ jsx(OvenIcon, { weight: variant }) });
  }
);
Oven.displayName = "Oven";
Object.assign(Oven, { isGdsIcon: true });
export {
  Oven
};
